List Inference Endpoints
curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints \
--header 'Salad-Api-Key: <api-key>'import requests
url = "https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints"
headers = {"Salad-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/inference-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"description": "",
"display_name": "Name",
"icon_url": "<string>",
"id": "cb3a4591-efc3-46c0-b06a-3d820c0ec100",
"input_schema": "<string>",
"name": "transcribe",
"organization_name": "acme-corp",
"output_schema": "<string>",
"price_description": "<string>",
"readme": "<string>"
}
],
"page": 1,
"page_size": 1,
"total_size": 100
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}Inference Endpoints
List Inference Endpoints
Lists inference endpoints.
GET
/
organizations
/
{organization_name}
/
inference-endpoints
List Inference Endpoints
Last Updated: July 1, 2025
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"acme-corp"
Query Parameters
The page number.
Required range:
1 <= x <= 2147483647Example:
1
The maximum number of items per page.
Required range:
1 <= x <= 100Example:
1
Response
OK
Represents a page from the collection of inference endpoints.
The list of inference endpoints.
Maximum array length:
100Show child attributes
Show child attributes
The page number.
Required range:
1 <= x <= 2147483647Example:
1
The maximum number of items per page.
Required range:
1 <= x <= 100Example:
1
The total number of items in the collection.
Required range:
0 <= x <= 2147483647Example:
100
Was this page helpful?